<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBandejaEntrada"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
					<form-property name="boton"	type="java.lang.String"/>
					<form-property name="w83bPreavisosBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
		</form-bean>
		<form-bean
				name="formDetallePreaviso"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
					<form-property name="w83bPreavisosNuevoBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
					<form-property name="w83bprovincia" type="java.lang.String"/>
					<form-property name="w83bmunicipio" type="java.lang.String" />
		</form-bean>
		
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.bandejaEntrada"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.bandejaentrada.preavisospendrev"/>
				<form-property name="boton" type="java.lang.String"/>	
				<form-property name="migas" type="java.lang.String" initial ="inicio.bandejaentrada"/>				   
				<form-property name="w83bPreavisosBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="w83bListaPreavisos" type="java.util.List"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="w83bMapaPreavisos" type="java.util.HashMap"/>
				<form-property name="w83bPreavisosBeanSalida" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bPreavisosNuevoBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bPreavisosAntiguoBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="codColumna" type="java.lang.String" />
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>
				<form-property name="w83bPreavisosTempBean" type="w83b.w83bBeans.W83bPreavisosBean"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="mapa" type="java.util.HashMap"/>	
				<form-property name="listaCNAE" type="java.util.List"/>	
				<form-property name="resultadoHash" type="java.util.HashMap"/>
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="subOpFlag" type="java.lang.String" initial="bandejaentrada"/>
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
				<form-property name="w83bListaCentroTrabajo" type="java.util.List"/>
				<form-property name="w83bListResultado" type="java.util.List"/>
				<!--<form-property name="w83bDocBean" type="w83b.w83bBeans.W83bDocBean"/>
		--></form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path ="/w83bInicioAplicacion" forward="paginaBienvenida"/>
		
		<action path="/w83bBusquedaBandejaEntrada" forward="paginaBandejaEntrada" />
		
		<action path="/w83bDetallePreaviso" forward="paginaDetPreavPendTram" />
		
		<action path="/w83bTablaBandejaEntradaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.W83bBusqBandejaEntrOPAction" 
			 validate="false">
			 <forward name="find" path="/w83bBusqPreavBandejaEntrada.do"/>
			 <forward name="ok" path="/w83bTablaBandejaEntradaOutOP.do"/>
			 <forward name="outOP" path="/w83bTablaBandejaEntradaOutOP.do"/>
			 <forward name="error" path="/w83bInicioAplicacion.do"/>
		</action>		
		<action path ="/w83bBusqPreavBandejaEntrada" 
				 parameter="w83bBusquedaBandejaEntradaOI" 
				 validate="false"  
				 input="/w83bInicioAplicacion.do" 
				 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
				 scope="request">
						<forward name="ok" path="/w83bTablaBandejaEntradaOutOP.do" />
						<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		<action path="/w83bTablaBandejaEntradaOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.W83bBusqBandejaEntrOutOPAction" 
			 validate="false">
		</action>
		<action
				path="/w83bDispatch"
				name="w83bFormBandejaEntrada"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.consultar"
					path="/w83bInicioDetallePreavisos.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bInicioDetallePreavisos.do"/>
		</action>
		<action
				path="/w83bDispatchDetalle"
				name="formDetallePreaviso"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasBandejaEntrada.do"/>
				<forward
					name="validardescartar"
					path="/w83bIniValidarDescartarPreav.do"/>
				<forward
					name="comun.boton.imprimirFicha"
					path="/w83bFichaPreavisos.do"/>
					
					
		</action>
		<action path="/w83bInicioDetallePreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.w83bBuscarDetPreavOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBuscarDetallePreaviso.do"/>
			<forward name="error" path="/w83bInicioAplicacion.do"/>
		</action>
		<action path ="/w83bBuscarDetallePreaviso" 
				 parameter="w83bBuscarDetallePreavisoOI" 
				 validate="false"  
				 input="/w83bInicioAplicacion.do" 
				 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
				 scope="request">
						<forward name="ok" path="/w83bBuscarDetallePreavisoOutOP.do" />
						<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		<action path="/w83bBuscarDetallePreavisoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.w83bBuscarDetPreavOutOPAction" 
			 validate="false">
			 <forward name="ok" path="/w83bDetallePreaviso.do" />
			 <forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
			<action path="/w83bAtrasBandejaEntrada" 
		name="w83bFormBandejaEntrada" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.W83bAtrasBandejaEntradaAction" 
			 validate="false">
			<forward name="ok" path="/w83bAtrasBandejaEntradaDispatch.do"/>
		</action>
		
		<action
				path="/w83bAtrasBandejaEntradaDispatch"
				scope="request"
				parameter="busqRealizada"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="true"
					path="/w83bBusqPreavBandejaEntrVuelta.do"/>
				<forward
					name="false"
					path="/w83bBusquedaBandejaEntrada.do"/>
		</action>
		<action path ="/w83bBusqPreavBandejaEntrVuelta" 
				 parameter="w83bBusquedaBandejaEntradaOI" 
				 validate="false"  
				 input="/w83bInicioAplicacion.do" 
				 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
				 scope="request">
						<forward name="ok" path="/w83bBusquedaBandejaEntrada.do" />
						<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		<action path="/w83bIniValidarDescartarPreav" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.w83bIniValidDescPreavOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bValidarDescartarPreaviso.do"/>
			<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		<action path ="/w83bValidarDescartarPreaviso" 
				 parameter="w83bValidarDescartarPreavisoOI" 
				 name="formDetallePreaviso"
				 validate="false"  
				 input="/w83bInicioAplicacion.do" 
				 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
				 scope="request">
						<forward name="ok" path="/w83bBusquedaBandejaEntrada.do" />
						<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		<!--<action path="/w83bValDescPreavisoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.w83bValDescPreavisoOutOPAction" 
			 validate="false">
			<forward name="notificar" path="/w83bGenerarFicheroVuelta.do"/>
			<forward name="nonotificar" path="/w83bBusquedaBandejaEntrada.do"/>
		</action>
		--><!--<action path="/w83bGenerarFicheroVuelta" 
		name="w83bFormComIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.W83bGenerarFicheroVueltaAction" 
			 validate="false">
			 <forward name="ok" path="/w83bInsertarFicheroVueltaOI.do" />
			 <forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		<action path ="/w83bInsertarFicheroVueltaOI" 
				 parameter="w83bInsertarFicheroVueltaOI" 
				 name="formDetallePreaviso"
				 validate="false"  
				 input="/w83bInicioAplicacion.do" 
				 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
				 scope="request">
						<forward name="ok" path="/w83bBusquedaBandejaEntrada.do" />
						<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		--><action path ="/w83bNotificarLote" 
				 parameter="w83bNotificarLoteOI" 
				 name="formDetallePreaviso"
				 validate="false"  
				 input="/w83bInicioAplicacion.do" 
				 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
				 scope="request">
						<forward name="ok" path="/w83bBusquedaBandejaEntrada.do" />
						<forward name="error" path="/w83bInicioAplicacion.do" />
		</action>
		<action path="/w83bCargarCnaeOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCnae.do"/>
		</action>
		<action path ="/w83bCargarCnae" 
			 parameter="W83bCargarCnaeOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCnaeOutOP.do" />					
		</action>
		<action path="/w83bCargarCnaeOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDetallePreaviso.do"/>
		</action>	
		<action path="/w83bCargarCnaeCodigoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeCodigoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarCnaeCodigo.do"/>
		</action>
		<action path ="/w83bCargarCnaeCodigo" 
			 parameter="W83bCargarCnaeCodigoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaCentroTrabajo.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargarCnaeCodigoOutOP.do" />					
		</action>
		<action path="/w83bCargarCnaeCodigoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bCentroTrabajo.W83bCargarCnaeCodigoOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDetallePreaviso.do"/>
		</action>	
		
		<action path="/w83bTablaPreavisosCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bTablaPreavisosCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPreavisosBusqCentroTrabajo.do"/>
		</action>
		 <action path ="/w83bPreavisosBusqCentroTrabajo" 
			 parameter="w83bPreavisosBusqCentroTrabajoOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaPreavisosCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaPreavisos.do" />
		</action>
		<action path="/w83bTablaPreavisosCentroTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bTablaPreavisosCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bIraCentrosTrabajoSubOp" parameter="/centroTrabajoOP/w83bSubOpCentroTrabajoInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/bandejaEntradaOP/w83bDispatchCentroTrabajoAtras.do" />
		</action>
		
		<action
				path="/w83bDispatchCentroTrabajoAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="centroTrabajo"
					path="/w83bDetallePreaviso.do"/>
		</action>
				<action path="/w83bExisteCentroPreavisoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteCentroPreavisoOP" 
			 validate="false">
			<forward name="ok" path="/w83bExisteCentroPreaviso.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bExisteCentroPreaviso" 
			 parameter="w83bExisteCentroPreavisoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bExisteCentroPreavisoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bExisteCentroPreavisoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteCentroPreavisoOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83bExisteOtroCentroPreavisoSinFechaEleccionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteOtroCentroPreavisoSinFechaEleccionOP" 
			 validate="false">
			<forward name="ok" path="/w83bExisteOtroCentroPreavisoSinFechaEleccion.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bExisteOtroCentroPreavisoSinFechaEleccion" 
			 parameter="w83bExisteOtroCentroPreavisoSinFechaEleccionOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bExisteOtroCentroPreavisoSinFechaEleccionOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bExisteOtroCentroPreavisoSinFechaEleccionOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bExisteOtroCentroPreavisoSinFechaEleccionOutOP" 
			 validate="false">
		</action>	
		<action path="/w83bValidarIntervaloEleccionSindicalCtoTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bValidarIntervaloEleccionSindicalCtoTrabajoOP" 
			 validate="false">
			<forward name="ok" path="/w83bValidarIntervaloEleccionSindicalCtoTrabajo.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bValidarIntervaloEleccionSindicalCtoTrabajo" 
			 parameter="w83bValidarIntervaloEleccionSindicalCtoTrabajoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bValidarIntervaloEleccionSindicalCtoTrabajoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bValidarIntervaloEleccionSindicalCtoTrabajoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bValidarIntervaloEleccionSindicalCtoTrabajoOutOP" 
			 validate="false">
		</action>	

		
		<action path="/w83bFichaPreavisos" 
		name="formDetallePreavisob" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.W83bFichaPreavisosAction" 
			 validate="false">
		</action>
	
		
		<action path="/w83bComprobarNPreavisoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bComprobarNPreavisoOP" 
			 validate="false">
			<forward name="ok" path="/w83bComprobarNPreaviso.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
			<action path ="/w83bComprobarNPreaviso" 
			 parameter="w83bComprobarNPreavisoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bComprobarNPreavisoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bComprobarNPreavisoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bComprobarNPreavisoOutOP" 
			 validate="false">
		</action>	
		
		<action path="/w83bGenericoErrorOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bBandejaEntrada.W83bGenericoErrorOutOPAction" 
			 validate="false">
		</action>
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

</struts-config>